List the current user activity tray for this team
GET
/v1/activitycurl -X GET 'https://api.embodiflow.io/v1/activity' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Query parameters
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
- statestringAllowed valuesrunningrecent
Responses
Success
- dataarray<ActivityItemSwaggerDto>required
- idstringrequired
- typestringrequiredAllowed valuesupload_sessionworkflow_runrecording_processingexporttraining
- projectIdstring (uuid) | nullrequired
- objectobjectrequired
- statestringrequiredAllowed valuesqueuedrunningsucceededpartially_succeededfailedcanceled
- progressnumber | nullrequired
- progressCountobject | null
- stageKeystringrequired
- etaSecondsnumber | nullrequired
- startedAtstringrequired
- finishedAtstring | nullrequired
- failureobject | nullrequired
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
Response example
{
"data": [
{
"id": "string",
"type": "upload_session",
"projectId": "00000000-0000-0000-0000-000000000000",
"object": {},
"state": "queued",
"progress": 0,
"progressCount": {},
"stageKey": "string",
"etaSeconds": 0,
"startedAt": "string",
"finishedAt": "string",
"failure": {
"code": "string",
"reason": "string",
"stepId": "string",
"stepName": "string",
"stepRunId": "00000000-0000-0000-0000-000000000000",
"stepAlgorithm": {},
"runId": "00000000-0000-0000-0000-000000000000",
"stepErrorCode": "string"
}
}
],
"nextPageToken": "string"
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1